vraag over framework

Stel hier uw vragen met betrekking tot Windows XP
Plaats reactie
Gebruikersavatar
astagumby
PC Web Plus - Member
PC Web Plus - Member
Berichten: 14
Lid geworden op: 25 apr 2011 13:54
Kennisniveau: (1) Beginner
OS: XP Home
AV: PCTools Spyware Doctor
FW: Comodo

#1

22 mei 2011 10:59

Niet zozeer een probleem, als wel een vraag:
Ik zie net dat op mijn laptop (met XP), in de map C:\windows\microsoft.NET\framework , behalve een aantal bestanden, ook 5 mappen staan met volgens mij verschillende versies van Framework:

1.0.3705 (september 2009)
1.1.4322 (januari 2011)
2.0.50727 (april 2011)
3.0 (september 2009)
3.5 (september 2009)

Is dit nodig / normaal /wenselijk? Of kan ik volstaan met 1 versie van Framework, maar welke dan? Alvast bedankt voor het antwoord.
Gebruikersavatar
Piet Koenen
PC Web Plus - Member
PC Web Plus - Member
Berichten: 427
Lid geworden op: 14 feb 2010 21:10
Kennisniveau: (3) Expert
OS: Win XP, Vista, Win 7
AV: Avast Pro
AM: Malwarebytes
FW: Windows

#2

22 mei 2011 12:41

Hi,
bij het installeren van versie 3.5 zegt Microsoft dat je de voorgaande
releases via software moet verwijderen, dus ja, je hoeft die oude niet te bewaren ze nemen alleen maar ruimte in.
Groet Piet.
Gebruikersavatar
Phoenix
PC Web Plus - Member
PC Web Plus - Member
Berichten: 770
Lid geworden op: 31 okt 2008 14:13
Kennisniveau: (2) Ervaren
OS: Windows 7
AV: Avira
FW: Windows Firewall
Contacteer:

#3

24 mei 2011 16:53

Heb je toevallig een linkje waar dit vermeld staat Piet want het klopt niet wat daar staat geschreven of Microsoft bedoeld hiermee dat eerdere versies (béta) van een bepaalde Framework versie verwijderd kunnen worden.

Als je bepaalde Framework versies niet nodig hebt kan je deze inderdaad gewoon verwijderen maar het is niet zo dat b.v. Framework versie 4.0 alle voorgaande versies ook bezit wat helaas niet mogelijk is met het .NET Framework.

Het kan b.v. dat programma A Framework 2.0 nodig heeft, programma B Framework 3.0 en programma C Framework 4.0 het is dus niet zo dat de verschillende Framework versies updates van elkaar zijn maar gewoon aparte pakketten.

Eigenlijk moet je gewoon alle geïnstalleerde Framework versies laten staan om problemen met oudere versies e.d. te voorkomen als je deze opnieuw moet gaan installeren.
En als er oudere versies staan geïnstalleerd betekent dit dat bepaalde software op de computer dit nodig heeft dus niet verwijderen maar gewoon laten staan. 8)
Alius aliud dicit "Ieder vogeltje zingt zoals het gebekt is" ook al is deze uit de as herrezen.
Gebruikersavatar
astagumby
PC Web Plus - Member
PC Web Plus - Member
Berichten: 14
Lid geworden op: 25 apr 2011 13:54
Kennisniveau: (1) Beginner
OS: XP Home
AV: PCTools Spyware Doctor
FW: Comodo

#4

24 mei 2011 19:07

Dank je wel, Phoenix. Ben allang blij dat ik er nog niet aan toe gekomen was om de oudere versies te verwijderen ;)
Gebruikersavatar
Piet Koenen
PC Web Plus - Member
PC Web Plus - Member
Berichten: 427
Lid geworden op: 14 feb 2010 21:10
Kennisniveau: (3) Expert
OS: Win XP, Vista, Win 7
AV: Avast Pro
AM: Malwarebytes
FW: Windows

#5

25 mei 2011 09:43

@,Phoenix,
het ging idd over beta versies en had begrepen dat dat het probleem was.
Je hebt inderdaad versie 1 t/m 4.0 extended nodig.
Groet Piet.
Plaats reactie

Terug naar “Windows XP”